package com.ejie.ab79.model.propuestaSancion;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

public class InfraccionesPropuesta {

	/*
	 * Id interno del tipo de infraccion y la propuesta de sancion
	 */
	private int idRelArtInfProSan;
	/*
	 * Id interno de la propuesta de sancion
	 */
	private int idPropuestaSancion;
	/*
	 * Identificador interno del tipo de infraccion
	 */
	private int idInfraccion;
	/*
	 * Descripcion del hecho
	 */
	private String descripcionHecho;
	/*
	 * Notas del inspector del articulo infringido
	 */
	private String notas;
	/*
	 * Usuario que ha almacenado el registro
	 */
	private String usuarioRegistro;
	/*
	 * Fecha del hecho
	 */
	private Date fechaHecho;
	/*
	 * Fecha cuando se ha almacenado el registro
	 */
	private Date fechaRegistro;

	private String idDerechosInf;
	private String articulosDerechosInf;
	private String descripcionDerechosInfCas;
	private String descripcionDerechosInfEus;
	private Integer idProcedimiento;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	private Infracciones infracciones;

	public int getIdRelArtInfProSan() {
		return idRelArtInfProSan;
	}

	public void setIdRelArtInfProSan(int idRelArtInfProSan) {
		this.idRelArtInfProSan = idRelArtInfProSan;
	}

	public int getIdPropuestaSancion() {
		return idPropuestaSancion;
	}

	public void setIdPropuestaSancion(int idPropuesta) {
		this.idPropuestaSancion = idPropuesta;
	}

	public int getIdInfraccion() {
		return idInfraccion;
	}

	public void setIdInfraccion(int idInfraccion) {
		this.idInfraccion = idInfraccion;
	}

	public String getDescripcionHecho() {
		return descripcionHecho;
	}

	public void setDescripcionHecho(String descripcionHecho) {
		this.descripcionHecho = descripcionHecho;
	}

	public String getNotas() {
		return notas;
	}

	public void setNotas(String notas) {
		this.notas = notas;
	}

	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaHecho() {
		return fechaHecho;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaHecho(Date fechaHecho) {
		this.fechaHecho = fechaHecho;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * @return the idDerechosInf
	 */
	public String getIdDerechosInf() {
		return this.idDerechosInf;
	}

	/**
	 * @param idDerechosInf
	 *            the idDerechosInf to set
	 */
	public void setIdDerechosInf(String idDerechosInf) {
		this.idDerechosInf = idDerechosInf;
	}

	/**
	 * @return the articulosDerechosInf
	 */
	public String getArticulosDerechosInf() {
		return this.articulosDerechosInf;
	}

	/**
	 * @param articulosDerechosInf
	 *            the articulosDerechosInf to set
	 */
	public void setArticulosDerechosInf(String articulosDerechosInf) {
		this.articulosDerechosInf = articulosDerechosInf;
	}

	/**
	 * @return the descripcionDerechosInfCas
	 */
	public String getDescripcionDerechosInfCas() {
		return this.descripcionDerechosInfCas;
	}

	/**
	 * @param descripcionDerechosInfCas
	 *            the descripcionDerechosInfCas to set
	 */
	public void setDescripcionDerechosInfCas(String descripcionDerechosInfCas) {
		this.descripcionDerechosInfCas = descripcionDerechosInfCas;
	}

	/**
	 * @return the descripcionDerechosInfEus
	 */
	public String getDescripcionDerechosInfEus() {
		return this.descripcionDerechosInfEus;
	}

	/**
	 * @param descripcionDerechosInfEus
	 *            the descripcionDerechosInfEus to set
	 */
	public void setDescripcionDerechosInfEus(String descripcionDerechosInfEus) {
		this.descripcionDerechosInfEus = descripcionDerechosInfEus;
	}

	public Integer getIdProcedimiento() {
		return idProcedimiento;
	}

	public void setIdProcedimiento(Integer idProcedimiento) {
		this.idProcedimiento = idProcedimiento;
	}

	/**
	 * @return the infracciones
	 */
	public Infracciones getInfracciones() {
		return this.infracciones;
	}

	/**
	 * @param infracciones
	 *            the infracciones to set
	 */
	public void setInfracciones(Infracciones infracciones) {
		this.infracciones = infracciones;
	}

	public Date getFechaUltmodificacion() {
		return fechaUltmodificacion;
	}

	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

}
